Subject: Re: Dewalt 625 Edge Guide on DW621

From: David Carson <[email-masked]>
Date: Sat, 08 Feb 1997 01:14:37 -0500

Tim S. Smith wrote:
> 
> While using my DW621 router recently I needed an edge guide.  According
> to Dewalt I can't buy one until this March.  Well I also have the DW625
> mounted in a table for which I had purchased the edge guide.  So I
> thought maybe this guide would work on the 621.  At first glance it
> wouldn't.  The guide rods were 3/8" versus the needed 1/4" and they were
> to far apart.  However, I then noticed that there was a second set of
> guide rod mounting holes on the edge guide.  Low and behold they were a
> 1/4"!  So I scrounged up a couple of pieces of 1/4" solid rod stock
> (found at most home supply stores) and the edge guide worked great on
> the 621!  So if you have the 625 Edge guide don't waste your money on a
> new one for the 621!
> 
> Tim
> 
> --
> Tim S. Smith                       |
> Scientist                          | Of course any opinions expressed
> Computational Chemistry & Biology  | or implied are solely mine - Not
> Procter & Gamble Pharmaceuticals   | that of... You get the idea.
> Cincinnati, Ohio 45252             |
Tim,

I posted earlier that I actually purchased a guide for the 625 for $10
at the Phila show. It works fine.

Kit